Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 454711

Summary: 'xm info' does not show correct info in 'node_to_cpu' field on ia64
Product: Red Hat Enterprise Linux 5 Reporter: Tetsu Yamamoto <tyamamot>
Component: kernel-xenAssignee: Tetsu Yamamoto <tyamamot>
Status: CLOSED ERRATA QA Contact: Martin Jenner <mjenner>
Severity: low Docs Contact:
Priority: low    
Version: 5.2CC: rlerch, xen-maint
Target Milestone: rc   
Target Release: ---   
Hardware: ia64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Non-Uniform Memory Access (NUMA) information was not being displayed by the xm info command. Consequently, node_to_cpu value for each node was being incorrectly returned as no cpus. In this update, this issue has been resolved.
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-01-20 20:26:29 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 449772, 454962    
Attachments:
Description Flags
Fix patches none

Description Tetsu Yamamoto 2008-07-09 20:45:46 UTC
Description of problem:
  On xen/ia64, 'node_to_cpu' field shown by 'xm info' command is always 'no 
cpus'. 

Version-Release number of selected component (if applicable):
  RHEL5.2GA

How reproducible:
  100%
  
Steps to Reproduce:
1. Execute 'xm info' command on xen/ia64
2.
3.
  
Actual results:
'node_to_cpu' always shows 'no cpus' as follows:
node_to_cpu            : node0:no cpus
                         node1:no cpus

Expected results:
The relation between nodes and cpus is shown correctly.
For example, in the case of 2 nodes with 8 pcpus, the result should be as 
follows:
node_to_cpu            : node0:0-7
                         node1:8-15

Additional info:
The following upstream patches fix this problem.
*HV
- [IA64] Fixup physinfo
  http://xenbits.xensource.com/xen-unstable.hg?rev/a36c51f43fdb
- Fix XEN_SYSCTL_physinfo to handle NUMA info properly.
  http://xenbits.xensource.com/xen-unstable.hg?rev/547d10d2d384
*Kernel
- [IA64] NUMA support
  http://xenbits.xensource.com/xen-unstable.hg?rev/fd1d742487f8
- [IA64] Kludge for XEN_GUEST_HANDLE_64
  http://xenbits.xensource.com/xen-unstable.hg?rev/8b37c7bba7e1
- Extended the physinfo sysctl to export NUMA cpu_to_node topology info.
  http://xenbits.xensource.com/xen-unstable.hg?rev/89d2192942be
  # HV and tools have this in RHEL5.2, but kernel doesn't.
- [IA64] Map cpu_to_node table with xencomm for physinfo sysctl
  http://xenbits.xensource.com/linux-2.6.18-xen.hg?rev/86ac3059ab67

Beside these patches, the fix for bz444589 is needed.

Comment 2 RHEL Product and Program Management 2008-07-10 01:59:32 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 4 Tetsu Yamamoto 2008-07-24 16:37:40 UTC
Created attachment 312579 [details]
Fix patches

Comment 5 Don Zickus 2008-09-10 20:14:12 UTC
in kernel-2.6.18-110.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Comment 6 Don Zickus 2008-09-13 01:47:42 UTC
in kernel-2.6.18-113.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Comment 9 Ryan Lerch 2008-11-07 00:01:31 UTC
This bug has been marked for inclusion in the Red Hat Enterprise Linux 5.3
Release Notes.

To aid in the development of relevant and accurate release notes, please fill
out the "Release Notes" field above with the following 4 pieces of information:


Cause:   What actions or circumstances cause this bug to present.

Consequence:  What happens when the bug presents.

Fix:   What was done to fix the bug.

Result:  What now happens when the actions or circumstances above occur. (NB:
this is not the same as 'the bug doesn't present anymore')

Comment 10 Bill Burns 2008-11-07 15:09:12 UTC
tetsu, rel note info requested.

Comment 11 Tetsu Yamamoto 2008-11-13 16:40:37 UTC
release note added.

Comment 12 Tetsu Yamamoto 2008-11-13 16:40:37 UTC
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
Cause: 
  The function to show NUMA info on ia64/xen was not supported.

Consequence:  What happens when the bug presents.
  'xm info' command always shows 'no cpus' in 'node_to_cpu' field.

Fix:   
  Added the funciton to show NUMA info correctly for ia64/xen.

Result:  
  'xm info' command shows the correct relation between cpus and nodes.

Comment 15 Ryan Lerch 2008-11-27 04:42:35 UTC
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1,11 +1 @@
-Cause: 
+Non-Uniform Memory Access (NUMA) information was not being displayed by the xm info command. Consequently, node_to_cpu value for each node was being incorrectly returned as no cpus. In this update, this issue has been resolved.-  The function to show NUMA info on ia64/xen was not supported.
-
-Consequence:  What happens when the bug presents.
-  'xm info' command always shows 'no cpus' in 'node_to_cpu' field.
-
-Fix:   
-  Added the funciton to show NUMA info correctly for ia64/xen.
-
-Result:  
-  'xm info' command shows the correct relation between cpus and nodes.

Comment 17 errata-xmlrpc 2009-01-20 20:26:29 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html